#!/bin/bash

echo "running activate.sh"

echo "do_dhcp $do_dhcp"

if [ ! -n "$key" ]; then
    key="off";
fi

ifdown $interface
iwconfig $interface essid $essid channel $channel key $key
iwconfig $interface ap $address
iwconfig $interface commit

if [ ! -n "$do_dhcp" ]; then
    if [ ! -n "$netmask" ]; then
	netmask="255.255.255.0";  #complete guess
    fi
    if [ ! -n "$gateway" ]; then
	gateway=${ip%.*};  #guess it's IP with .1 at end
	gateway="$gateway.1";
    fi
    echo gateway: $gateway;
    ifconfig $interface $ip netmask $netmask
    route add default gw $gateway

    if [ -n "$nameserver" ]; then
	haveit=`grep -c "$nameserver" /etc/resolv.conf`
	if [ $haveit -ne "1" ]; then
	    echo "nameserver $nameserver";
	    echo "nameserver $nameserver" > /tmp/netchoose_resolv.conf
	    cat /etc/resolv.conf >> /tmp/netchoose_resolv.conf
	    mv /tmp/netchoose_resolv.conf /etc/resolv.conf
	fi
    fi
else
    killall -w dhclient
    dhclient -1 $interface
    exit $?
fi

exit 0

